<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_b" name="index_b"></a>- b -</h3><ul>
<li>BaseArguments&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#abff2bbc79cea615ce3acddaba6500fa8">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a71e4f296aead9ddf54544b80d8ba2845">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>BaseClass&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html#a0b65ee3e324534c44248bc39c8e87023">xAPI_Definitions_Parser.Code.SyntaxTree.Class</a></li>
<li>Body&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html#a1fb9f0f463edf515f8db3264c09c3637">xAPI_Definitions_Parser.Code.SyntaxTree.Constructor</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html#a8458001b460ceac678955f23110ac051">xAPI_Definitions_Parser.Code.SyntaxTree.Getter</a>, <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html#a9c134c7c0ad3eaf4c321dada2327b534">xAPI_Definitions_Parser.Code.SyntaxTree.Method</a></li>
<li>Branch&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html#adf23bf16cebd4faa8ddfcad060e7b070">xAPI_Definitions_Parser.IO.GitLabManager</a></li>
<li>BuildActivitiesClassName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#afb08e20648b85640c7e0f31d11775b99">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>BuildContextClassName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a61d8002a772c083a6f8530ca5b366adc">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>BuildContextExtensionsClassName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a392cb48f0f1a2ea35c573583f30f252e">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>BuildExtensionsClassName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a8e19184f35ef83e61b08f93347c7c2fb">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>BuildExtensionTypeClassName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a7bcb3ebd60adeb526632fda64af338ff">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
<li>BuildVerbsClassName()&#160;:&#160;<a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html#a958d455013045d984c4da0b8ee9f2f09">xAPI_Definitions_Parser.Code.CodeGenerator</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
